package com.app.ydl.marketing.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import java.io.Serializable;
import java.util.Date;

/**
 * landing_channel_wxmp_access_record
 * @author 
 */
@TableName("landing_channel_wxmp_access_record")
public class LandingChannelWxmpAccessRecord implements Serializable {
    /**
     * 小程序访问记录ID
     */
    @TableId(type = IdType.AUTO)
    private Long wxmpAccessRecordId;

    /**
     * 渠道ID，关联表landing_channel_config主键
     */
    private Long channelConfigId;

    /**
     * 落地页扩展配置ID，关联表landing_channel_config_extend主键
     */
    private Long landingConfigExtendId;

    /**
     * 生成小程序URL Link的用户uid
     */
    private Long uid;

    /**
     * 生成小程序URL Link的用户手机号
     */
    private String phone;

    /**
     * 微信小程序AppId
     */
    private String wxmpAppId;

    /**
     * 微信小程序URL Link
     */
    private String wxmpUrlLink;

    /**
     * 访问该链接的openid
     */
    private String visitOpenid;

    /**
     * 访问该链接的unionid
     */
    private String visitUnionid;

    /**
     * 0-未发送 1-已发送 2-无需发送
     */
    private Integer secondSmsRemind;

    /**
     * 是否加入企微 0-未加入 1-已加入
     */
    private Boolean ifJoinWxcorp;

    /**
     * 加入的企微成员userid
     */
    private String joinWxcorpUserid;

    /**
     * 是否订阅公众号 0-未订阅 1-已订阅
     */
    private Boolean ifSubscribeWxsns;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 修改时间
     */
    private Date updateTime;

    private static final long serialVersionUID = 1L;

    public Long getWxmpAccessRecordId() {
        return wxmpAccessRecordId;
    }

    public void setWxmpAccessRecordId(Long wxmpAccessRecordId) {
        this.wxmpAccessRecordId = wxmpAccessRecordId;
    }

    public Long getChannelConfigId() {
        return channelConfigId;
    }

    public void setChannelConfigId(Long channelConfigId) {
        this.channelConfigId = channelConfigId;
    }

    public Long getLandingConfigExtendId() {
        return landingConfigExtendId;
    }

    public void setLandingConfigExtendId(Long landingConfigExtendId) {
        this.landingConfigExtendId = landingConfigExtendId;
    }

    public Long getUid() {
        return uid;
    }

    public void setUid(Long uid) {
        this.uid = uid;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public String getWxmpAppId() {
        return wxmpAppId;
    }

    public void setWxmpAppId(String wxmpAppId) {
        this.wxmpAppId = wxmpAppId;
    }

    public String getWxmpUrlLink() {
        return wxmpUrlLink;
    }

    public void setWxmpUrlLink(String wxmpUrlLink) {
        this.wxmpUrlLink = wxmpUrlLink;
    }

    public String getVisitOpenid() {
        return visitOpenid;
    }

    public void setVisitOpenid(String visitOpenid) {
        this.visitOpenid = visitOpenid;
    }

    public String getVisitUnionid() {
        return visitUnionid;
    }

    public void setVisitUnionid(String visitUnionid) {
        this.visitUnionid = visitUnionid;
    }

    public Integer getSecondSmsRemind() {
        return secondSmsRemind;
    }

    public void setSecondSmsRemind(Integer secondSmsRemind) {
        this.secondSmsRemind = secondSmsRemind;
    }

    public Boolean getIfJoinWxcorp() {
        return ifJoinWxcorp;
    }

    public void setIfJoinWxcorp(Boolean ifJoinWxcorp) {
        this.ifJoinWxcorp = ifJoinWxcorp;
    }

    public String getJoinWxcorpUserid() {
        return joinWxcorpUserid;
    }

    public void setJoinWxcorpUserid(String joinWxcorpUserid) {
        this.joinWxcorpUserid = joinWxcorpUserid;
    }

    public Boolean getIfSubscribeWxsns() {
        return ifSubscribeWxsns;
    }

    public void setIfSubscribeWxsns(Boolean ifSubscribeWxsns) {
        this.ifSubscribeWxsns = ifSubscribeWxsns;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }
}